Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class SimpleAxisWorker

    java.lang.Object
      org.apache.axis.transport.http.SimpleAxisWorker

All Implemented Interfaces:
  Runnable

public class SimpleAxisWorker
extends Object
implements Runnable

Constructor Summary
`SimpleAxisWorker(SimpleAxisServer server, Socket socket)`

Method Summary
`static String` | `getLocalHost()` One method for all host name lookups.
`protected void` | `invokeMethodFromGet(String methodName, String args)`
`boolean` | `matches(byte[] buf, byte[] target)` does tolower[buf] match the target byte array, up to the target's length?
`boolean` | `matches(byte[] buf, int bufIdx, byte[] target)` Case-insensitive match of a target byte [] to a source byte [], starting from a particular offset into the source.
`void` | `run()` The main workhorse method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAxisWorker

    public SimpleAxisWorker(SimpleAxisServer server,
                            Socket socket)

Method Detail

### run

    public void run()

  The main workhorse method.

  Specified by:
    `run` in interface `Runnable`

### invokeMethodFromGet

    protected void invokeMethodFromGet(String methodName,
                                       String args)
                                throws Exception

  Throws:
    `Exception`

### matches

    public boolean matches(byte[] buf,
                           byte[] target)

  does tolower[buf] match the target byte array, up to the target's length?

### matches

    public boolean matches(byte[] buf,
                           int bufIdx,
                           byte[] target)

  Case-insensitive match of a target byte [] to a source byte [], starting from a particular offset into the source.

### getLocalHost

    public static String getLocalHost()

  One method for all host name lookups.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.